@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    width:100vw;
    background-color:#f3f4f6;
}

h1:focus {
    outline: none;
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
    color: #495057;
    font-weight: 500;
    line-height: 1.2;
    margin-bottom: .5rem;
    margin-top: 0;
}

.options-container {
    height: 75px;
    display: flex;
    align-items: center;
    padding: 0px 15px 8px 15px;
    width: 100%;
    gap: 20px;
}

.spinner {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

#input-file:hover{
    cursor:pointer;
}

.h1{
    font-size:1.65rem;
}
a {
    cursor: pointer;
}
.sidebar {
    background: #293042;
    direction: ltr;
    max-width: 260px;
    min-width: 260px;
    transition: margin-left .35s ease-in-out, left .35s ease-in-out, margin-right .35s ease-in-out, right .35s ease-in-out;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}
.rz-paginator-page.rz-state-active {
    color: #3f80ea !important;
}

.rz-html-editor {
    border-radius: 5px;
    overflow: auto;
    outline: none;
    font-size: 0.9rem;
}

.header {
    display: inline-flex;
    justify-content: space-between;
    font-size: 1.2em;
    align-items: center;
    margin-left: 0;
    padding: 15px;
    padding: 0px 15px 0px 15px;
    width: 100%;
    color: black;
    text-align: left;
    font-weight: bold;
}

/* FILESHARE AZURE */
a.fs-directorio {
    text-decoration: none !important;
}

    a.fs-directorio:hover {
        font-weight: bold;
        text-decoration: none !important;
    }

.fs-directorio-icon {
    /*color: #df9332;*/
    color: #e7c246;
    text-decoration: none !important;
}

    .fs-directorio-icon:hover {
        /*color: #df9332;*/
        color: #e7c246;
        text-decoration: none !important;
    }

.fs-directorio-text {
    color: var(--rz-grid-cell-color);
    text-decoration: none !important;
}

    .fs-directorio-text:hover {
        font-weight: bold;
        color: var(--rz-grid-cell-color);
        text-decoration: none !important;
    }

.fs-file:hover {
    font-weight: bold;
}

.fs-refreshbtn, .fs-createfoldbtn {
    padding-left: .5rem;
}

.fs-acciones {
    background-color: transparent !important;
    color: #5f239f !important;
    font-weight: bolder
}

[data-theme='dark-theme'] .fs-acciones {
    color: white !important;
}

.fs-uploadbtn .rz-fileupload-choose input[type='file'] {
    background-color: transparent !important;
}

.fs-uploadbtn .rz-fileupload-buttonbar {
    background-color: transparent !important;
    padding-left: 0px;
}

.rz-fileupload .fs-refreshbtn {
    background-color: var(--rz-upload-choose-background-color) !important;
    color: var(--rz-upload-choose-color);
    padding: 0.25rem 0.75rem !important;
}
/* FIN FILESHARE AZURE */
.rz-panel-menu {
    list-style: none;
    padding: 0;
    margin-bottom: 0;
    overflow: auto;
    color: #ffffff;
    background-color: #3a474d;
}

    .rz-panel-menu .rz-navigation-item {
        border-bottom: solid 1px #363d40;
    }

    .rz-panel-menu .rz-navigation-item-active {
        background-color: #28363c;
    }

    .rz-panel-menu .rz-navigation-item-wrapper {
        position: relative;
        line-height: 1.575;
        padding: 0.625rem 0;
    }

        .rz-panel-menu .rz-navigation-item-wrapper:hover {
            background-color: #28363c;
            color: #ffffff;
        }

    .rz-panel-menu .rz-navigation-item-wrapper-active {
        background-color: #28363c;
    }

        .rz-panel-menu .rz-navigation-item-wrapper-active:before {
            position: absolute;
            content: '';
            top: 0;
            bottom: 0;
            width: 4px;
            background-color: #479cc8;
        }

    .rz-panel-menu .rz-navigation-item-link {
        padding: 0 1.25rem 0 1.25rem;
        color: inherit;
        cursor: pointer;
    }

    .rz-panel-menu a.rz-navigation-item-link {
        cursor: pointer;
    }

    .rz-panel-menu .rz-navigation-item-text {
        -webkit-box-flex: 1;
        -ms-flex: auto;
        flex: auto;
    }

    .rz-panel-menu .rz-navigation-item-icon-children {
        font-size: 1.5rem;
    }

    .rz-panel-menu .rz-navigation-item-icon {
        height: 1.575;
        width: 1.5rem;
        color: #88989b;
        margin: 0 0.9375rem 0 0;
    }

    .rz-panel-menu .rz-navigation-menu {
        list-style: none;
        padding: 0;
        margin-bottom: 0;
        overflow: hidden;
    }

        .rz-panel-menu .rz-navigation-menu .rz-navigation-item-active {
            background-color: #1f2b31;
            color: inherit;
        }

        .rz-panel-menu .rz-navigation-menu .rz-navigation-item-wrapper {
            padding: 0.25rem 0;
            background-color: #28363c;
        }

            .rz-panel-menu .rz-navigation-menu .rz-navigation-item-wrapper:hover {
                background-color: #1f2b31;
                color: inherit;
            }

        .rz-panel-menu .rz-navigation-menu .rz-navigation-item-icon {
            margin: 0 0.75rem 0 -2.25rem;
        }

        .rz-panel-menu .rz-navigation-menu .rz-navigation-menu .rz-navigation-item-link {
            padding-left: 0.75rem;
        }

        .rz-panel-menu .rz-navigation-menu .rz-navigation-menu .rz-navigation-item-active,
        .rz-panel-menu .rz-navigation-menu .rz-navigation-menu .rz-navigation-item-wrapper-active {
            background-color: #172024;
            color: inherit;
        }

        .rz-panel-menu .rz-navigation-menu .rz-navigation-menu .rz-navigation-item-wrapper {
            background-color: #1f2b31;
            color: inherit;
        }

            .rz-panel-menu .rz-navigation-menu .rz-navigation-menu .rz-navigation-item-wrapper:hover {
                background-color: #172024;
                color: inherit;
            }

        .rz-panel-menu .rz-navigation-menu .rz-navigation-item {
            border-bottom: none;
            font-size: 0.875rem;
        }

            .rz-panel-menu .rz-navigation-menu .rz-navigation-item .rz-navigation-item-link {
                padding-left: 3.625rem;
            }

.rz-datagrid {
    background-color: #ffffff;
    border-bottom-right-radius: 4px;
    border-bottom-left-radius: 4px;
    -webkit-box-shadow: 0 8px 10px 0 rgba(0, 0, 0, 0.01);
    box-shadow: 0 8px 10px 0 rgba(0, 0, 0, 0.01);
    border: 1px solid #e6ecef;
}

.rzi, .rz-datatable-loading-content .rzi-circle-o-notch, .rz-datatable-header .rzi-plus, .rz-sortable-column .rzi-grid-sort, .rz-datatable .rzi-chevron-circle-down, .rz-datatable .rzi-chevron-circle-right, .rz-fileupload-row .rz-button .rzi-close, .rz-fileupload-row .rz-paginator-element .rzi-close,
.rz-fileupload-row .rz-button .rzi-times,
.rz-fileupload-row .rz-paginator-element .rzi-times,
.rz-fileupload-row .rz-button .rz-icon-trash,
.rz-fileupload-row .rz-paginator-element .rz-icon-trash, .rz-menuitem .rz-menuitem-icon {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 1.5em;
    /* Preferred icon size */
    display: inline-block;
    width: 1em;
    height: 1em;
    line-height: 1;
    text-transform: none;
    letter-spacing: normal;
    word-wrap: normal;
    white-space: nowrap;
    direction: ltr;
    /* Support for all WebKit browsers. */
    -webkit-font-smoothing: antialiased;
    /* Support for Safari and Chrome. */
    text-rendering: optimizeLegibility;
    /* Support for Firefox. */
    -moz-osx-font-smoothing: grayscale;
    /* Support for IE. */
    -webkit-font-feature-settings: 'liga';
    font-feature-settings: 'liga';
}
#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }
